void testLogin() {
    //begin chromedriver code
    System.setProperty("webdriver.gecko.driver", "/usr/local/bin/geckodriver");
    FirefoxOptions options = new FirefoxOptions();
    options.setBinary("/usr/bin/firefox");  // Explicitly set Firefox binary
    WebDriver driver = new FirefoxDriver(options);


    //end chromedriver code
    driver.manage().window().maximize();
    driver.get("https://practicetestautomation.com/practice-test-login/");
    WebElement username = driver.findElement(By.id("username"));
    WebElement password = driver.findElement(By.id("password"));
    WebElement login = driver.findElement(By.id("submit"));
    username.sendKeys("student");
    password.sendKeys("Password123");
    login.click();
    String expectedUrl = "https://practicetestautomation.com/logged-in-successfully/";
    assertEquals(expectedUrl, driver.getCurrentUrl());
    driver.quit();
}